mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly) Marks an assembly as being a contarct reference assembly. This assembly will contain no code except as required by the contracts.

Contract reference assemblies are required to allow contracts to be inherited across assemblies. The reference assembly contains the full code contract specifications, so dependant assemblies are able to inherit code contracts correctly.

Contract reference assemblies are generated by the ccrefgen tool.

- Constructor
  4.0.0.0
  Construct a ContractReferenceAssemblyAttribute.